> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datacrazy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar os arquivos anexados ao lead



## OpenAPI

````yaml https://api.datacrazy.io/v1/api/openapi/v1/json get /api/v1/leads/{leadId}/attachments
openapi: 3.0.0
info:
  title: API CRM Datacrazy
  description: Versão 1.0 da API do CRM Datacrazy
  version: '1.0'
  contact: {}
servers:
  - url: https://api.g1.datacrazy.io
security: []
tags: []
paths:
  /api/v1/leads/{leadId}/attachments:
    get:
      tags:
        - Anexos do lead
      summary: Buscar os arquivos anexados ao lead
      operationId: LeadsAttachmentsV1Controller_getLeadAttachments
      parameters:
        - name: leadId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/AttachmentDto'
      security:
        - access-token: []
components:
  schemas:
    PaginatedResponseDto:
      type: object
      properties:
        count:
          type: number
          example: 100
      required:
        - count
    AttachmentDto:
      type: object
      properties:
        id:
          type: string
          description: ID do anexo
          example: 685c39fcc2523944ecd171f7
        createdAt:
          format: date-time
          type: string
          description: Data de envio do anexo
          example: '2025-06-25T18:03:40.172Z'
        updatedAt:
          format: date-time
          type: string
          description: Data de atualizacao do anexo
          example: '2025-06-25T18:03:40.172Z'
        deletedAt:
          format: date-time
          type: string
          description: Data de exclusão do anexo
          example: '2025-06-25T18:03:40.172Z'
        fileName:
          type: string
          description: Nome do anexo
          example: my-product-175087
        mimeType:
          type: string
          description: Formato do anexo
          example: image/jpeg
        url:
          type: string
          description: URL do anexo
          example: >-
            https://dc-qqqq2222pb.s3.amazonaws.com/d129a692-e5ab-42b3-b0e4-90ad9a12b068/f514f655-4897-416e-b5c1-bbc19aac0805
        type:
          type: string
          description: Tipo do anexo
          example: IMAGE
        size:
          type: number
          description: Tamanho do anexo
          example: '7642'
  securitySchemes:
    access-token:
      scheme: bearer
      bearerFormat: JWT
      type: http

````